commit: f5f2f29e306897e5b2d648d29d1a68b6886ec450
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 19 04:58:36 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 19 05:41:27 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5f2f29e
dev-python/s3transfer: Bump to 0.13.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/s3transfer/Manifest | 1 +
dev-python/s3transfer/s3transfer-0.13.1.ebuild | 41 ++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index 3a2413a5f248..aaf0ebaff3c2 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1 +1,2 @@
DIST s3transfer-0.13.0.tar.gz 150232 BLAKE2B
b2acba8ceb4e6e218b9e43c21ed148a1bd7b63c4bb28d4b68c69e28c6af33cba72fc7fc492496fba2c9e4760d450264555142e6f47a3467eabfb2268a60b6032
SHA512
cb017501738f8aaf708cfc693514e084c49712bf72d1bd4f761470a93cadd8e12e7c19e5f168c180a695d7bb2423145a6836afc58728371e793d9f6cf926b090
+DIST s3transfer-0.13.1.tar.gz 150589 BLAKE2B
45569c945eec18d31626dd7d75b90d48ba0504971d6b246281c508ea9f6ec27b85b042e29a63bb3630bb66af6af1dfcf2e1aa5aed5fc065868619a713568b294
SHA512
46ae91946ecb7f1c11cef7547e7f9532326298ba30e7b363738133963a86aed6477fa6128a13dd57c7668e11a3ad9505b55638acffcc9470e6162b8b73206429
diff --git a/dev-python/s3transfer/s3transfer-0.13.1.ebuild
b/dev-python/s3transfer/s3transfer-0.13.1.ebuild
new file mode 100644
index 000000000000..70272f3a0426
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.13.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+ https://github.com/boto/s3transfer/
+ https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/botocore-2[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.37.4[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+}
+
+python_test() {
+ epytest tests/{unit,functional}
+}